Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenRuleBase

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenAuditRule, GenMetricRule

All Known Implementing Classes:
  GenAuditRuleImpl, GenMetricRuleImpl, GenRuleBaseImpl

public interface GenRuleBase
extends EObject

A representation of the model object 'Gen Rule Base'. Base class for rule like audit, metric rules...

The following features are supported:

- `Name`
- `Description`

See Also:
  `GMFGenPackage.getGenRuleBase()`
** Generated **
Model:
  abstract="true"

Method Summary
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute. A human readable name of this rule

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `GenRuleBase.setName(String)`, `GMFGenPackage.getGenRuleBase_Name()`
  ** Generated **
  Model:

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `GenRuleBase.getName()`
  ** Generated **

### getDescription

    public java.lang.String getDescription()

  Returns the value of the 'Description' attribute. The detailed description of this rule semantics

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `GenRuleBase.setDescription(String)`, `GMFGenPackage.getGenRuleBase_Description()`
  ** Generated **
  Model:

### setDescription

    public void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `GenRuleBase.getDescription()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.